#ifndef EDITSERVERS_H
#define EDITSERVERS_H

#include <QDialog>
#include <QSettings>
#include <QDebug>
#include "loginwindow.h"
#include "mainwindow.h"
class LoginWindow;

namespace Ui {
    class EditServers;
}

class EditServers : public QDialog
{
    Q_OBJECT

public:
    explicit EditServers(LoginWindow *parent = 0);
    LoginWindow *myParent;
    ~EditServers();
    Ui::EditServers* getUi();

private slots:
    void on_removeButton_clicked();

    void on_newButton_clicked();

private:
    Ui::EditServers *ui;
    QSettings *settings;
    int nbServers;
};

#endif // EDITSERVERS_H
