#ifndef LOGINWINDOW_H
#define LOGINWINDOW_H

#include <QDialog>
#include <QSettings>
#include <QVariant>
#include <QDebug>
#include "mainwindow.h"
#include "editservers.h"
#include "networkhandler.h"


namespace Ui {
    class LoginWindow;
}
class MainWindow;
class LoginWindow : public QDialog
{
    Q_OBJECT

public:
    explicit LoginWindow(MainWindow *parent = 0, bool autologin = true);
    ~LoginWindow();
    QSettings *settings;
    MainWindow *myparent;
    Ui::LoginWindow* getUi();

private slots:
    void on_server_currentIndexChanged(int index);
    void on_Login_clicked();
    void on_autologin_toggled(bool checked);

    void on_editServ_clicked();

public slots:
    void enableLogin();
    void credentialsIncorrect();
    void versionMismatch(bool type);

private:
    Ui::LoginWindow *ui;
    bool servIndexInit;
};

#endif // LOGINWINDOW_H
