#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <QDialog>
#include <QFileDialog>
#include <QSettings>
#include <QMessageBox>

namespace Ui {
    class Preferences;
}

class Preferences : public QDialog
{
    Q_OBJECT

public:
    explicit Preferences(QWidget *parent = 0);
    ~Preferences();

private slots:
    void on_mc_exe_loc_find_clicked();

private:
    Ui::Preferences *ui;
    QSettings *settings;
    QString previousLocale;
};

#endif // PREFERENCES_H
